//----------------------------------------------------------------------------//
//                        _      _                 _   _                      //
//                       | |    | |               | | | |                     //
//                    ___| |_ __| |_ __ ___   __ _| |_| |_                    //
//                   / __| __/ _` | '_ ` _ \ / _` | __| __|                   //
//                   \__ \ || (_| | | | | | | (_| | |_| |_                    //
//                   |___/\__\__,_|_| |_| |_|\__,_|\__|\__|                   //
//                                                                            //
//                                                                            //
//  File      : snippets_triggers.ts                                          //
//  Project   : stdmatt-vscode                                                //
//  Date      : 04 Jan, 22                                                    //
//  License   : GPLv3                                                         //
//  Author    : stdmatt <stdmatt@pixelwizards.io>                             //
//  Copyright : stdmatt - 2022                                                //
//                                                                            //
//  Description :                                                             //
//                                                                            //
//---------------------------------------------------------------------------~//

//----------------------------------------------------------------------------//
// Imports                                                                    //
//----------------------------------------------------------------------------//
//------------------------------------------------------------------------------
import { Snippet_Trigger_Base } from "./snippet_trigger_base";

//----------------------------------------------------------------------------//
// Snippet General                                                            //
//----------------------------------------------------------------------------//
//------------------------------------------------------------------------------
export class Snippet_General
    extends Snippet_Trigger_Base
{
    static settings_key   = "snippets";
    static leading_space  = true;
    static force_non_line = false;
    static symmetrical    = false;
}

//----------------------------------------------------------------------------//
// Snippet File Header                                                        //
//----------------------------------------------------------------------------//
//------------------------------------------------------------------------------
export class Snippet_File_Header
    extends Snippet_Trigger_Base
{
    static settings_key   = "file_header";
    static leading_space  = false;
    static force_non_line = false;
    static symmetrical    = true;
}
